# kittycad.api.users.update_user_self

Functions

`asyncio`(body, *, client) | This endpoint requires authentication by any KittyCAD user.

`asyncio_detailed`(body, *, client)

rtype

  `Response`[`Union`[`Any`, `User`, `Error`]]

`sync`(body, *, client) | This endpoint requires authentication by any KittyCAD user.

`sync_detailed`(body, *, client)

rtype

  `Response`[`Union`[`Any`, `User`, `Error`]]